LibreOffice: XController2 Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
XController2 Interface Reference

extends the XController interface More...

Inheritance diagram for XController2:

## Public Types
typedef sequence< ::com::sun::star::beans::PropertyValue > | CreationArguments
| denotes the arguments used to create the instance. More...

## Public Member Functions
::com::sun::star::ui::XSidebarProvider | getSidebar ()
| get the sidebar if exists More...
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
::com::sun::star::awt::XWindow | ComponentWindow
| denotes the "root window" of the controller. More...
string | ViewControllerName
| specifies the view name of the controller. More...

## Detailed Description

extends the XController interface

Since
  OOo 3.0

## Member Typedef Documentation

## ◆ CreationArguments

sequence< ::com::sun::star::beans::PropertyValue > CreationArguments
| attributereadonly

denotes the arguments used to create the instance.

Usually, controllers are created via XModel2::createViewController(), where the caller can pass not only a controller name, but also arguments parameterizing the to-be-created instance. Those arguments used at creation time can subsequently be retrieved using the `CreationArguments` member.

## Member Function Documentation

## ◆ getSidebar()

::com::sun::star::ui::XSidebarProvider getSidebar | ( |  | ) |

get the sidebar if exists

Since
  LibreOffice 5.1

## Member Data Documentation

## ◆ ComponentWindow

::com::sun::star::awt::XWindow ComponentWindow
| attributereadonly

denotes the "root window" of the controller.

If the controller is plugged into a frame, this window acts as the frame's `ComponentWindow`.

See also
  XFrame

## ◆ ViewControllerName

string ViewControllerName
| attributereadonly

specifies the view name of the controller.

A view name is a logical name, which can be used to create views of the same type. The name is meaningful only in conjunction with XModel2::createViewController()

- if it's passed there, a view/controller pair of the same type will be created.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XController2.idl